package info.textgrid.services.aggregator;

import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.ResponseBuilder;
import javax.ws.rs.core.UriBuilder;

public class RESTUtils {

	public static ResponseBuilder addAttachmentFilename(final ResponseBuilder builder, final String fileName) {
		final String asciiFileName = fileName.replaceAll("[^A-Za-z0-9.-]", "_");
		final String extendedNameSpec = "UTF-8''" + UriBuilder.fromPath(fileName).build().toASCIIString();
		
		if (!asciiFileName.equals(fileName))
			builder.header("Content-Disposition", "attachment;filename*=\"" + extendedNameSpec + "\";" +
				/*		builder.header("Content-Disposition", */ "filename=\"" + asciiFileName + "\"" );
		else
			builder.header("Content-Disposition", "attachment;filename=\"" + asciiFileName + "\"" );
		builder.header("X-Attachment-Orig-Filename", fileName);
		return builder;
	}

	public static ResponseBuilder attachmentResponse(final String fileName) {
		return addAttachmentFilename(Response.ok(), fileName);
	}

}
